Subject: Re: [PATCH] RelNotes: Spelling & grammar fixes.

From: Jonathan Nieder <[email-masked]>
Date: Mon, 18 Nov 2013 11:58:27 -0800

Junio C Hamano wrote:
> Marc Branchaud <[email-masked]> writes:

>>   * "git branch -v -v" (and "git status") did not distinguish among a
>> -   branch that does not build on any other branch, a branch that is in
>> -   sync with the branch it builds on, and a branch that is configured
>> -   to build on some other branch that no longer exists.
>> +   branch that is not tracking any other branch, a branch that is in
>> +   sync with the branch it is tracking, and a branch that is tracking
>> +   some other branch that no longer exists.
>
> People use the verb "track" to mean too many different things, and
> the original deliberately tried to avoid use of that word.
>
> Specifically, we try to limit the use of "track" to mean "to keep a
> copy of what we observed from the remote" as in "remote-tracking
> branch remotes/origin/master is used to track the 'master' branch at
> your 'origin'", which is very different from "your 'master' branch
> builds on your upstream's 'master'".

How about something like the following, in the same spirit as --track
giving way to --set-upstream-to)?

	* "git branch -v -v" and "git status" did not distinguish among a
	  branch that does not have a corresponding upstream branch, a
	  branch that is in sync with its upstream, and a branch whose
	  upstream no longer exists.